package com.mdd.admin.controller.setting;

import com.mdd.admin.aop.Log;
import com.mdd.admin.service.ISettingCopyrightService;
import com.mdd.admin.validate.setting.SettingCopyrightValidate;
import com.mdd.admin.vo.setting.SettingCopyrightVo;
import com.mdd.common.core.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"api/setting/copyright"})
@Api(
   tags = {"配置网站版权"}
)
public class SettingCopyrightController {
   @Resource
   ISettingCopyrightService iSettingCopyrightService;

   @GetMapping({"/detail"})
   @ApiOperation("网站版权信息")
   public AjaxResult<List<SettingCopyrightVo>> detail() {
      List<SettingCopyrightVo> list = this.iSettingCopyrightService.detail();
      return AjaxResult.success(list);
   }

   @Log(
      title = "网站版权编辑"
   )
   @PostMapping({"/save"})
   @ApiOperation("网站版权编辑")
   public AjaxResult<Object> save(@Validated @RequestBody SettingCopyrightValidate copyrightValidate) {
      this.iSettingCopyrightService.save(copyrightValidate);
      return AjaxResult.success();
   }
}
